<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: Task.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('Task_8h_source.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Task.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">    IIP Generic Task Class</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">    Copyright (C) 2006-2019 Ruven Pillay</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">    This program is free software; you can redistribute it and/or modify</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">    it under the terms of the GNU General Public License as published by</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">    the Free Software Foundation; either version 3 of the License, or</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">    (at your option) any later version.</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">    This program is distributed in the hope that it will be useful,</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">    GNU General Public License for more details.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">    You should have received a copy of the GNU General Public License</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">    along with this program; if not, write to the Free Software Foundation,</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">    Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#ifndef _TASK_H</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#define _TASK_H</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;IIPImage.h&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;IIPResponse.h&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &quot;JPEGCompressor.h&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;View.h&quot;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;TileManager.h&quot;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &quot;Timer.h&quot;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &quot;Writer.h&quot;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;Cache.h&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &quot;Watermark.h&quot;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &quot;Transforms.h&quot;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &quot;Logger.h&quot;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#ifdef HAVE_PNG</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &quot;PNGCompressor.h&quot;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment">// Define our http header cache max age (24 hours)</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#define MAX_AGE 86400</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#ifdef HAVE_EXT_POOL_ALLOCATOR</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#include &lt;ext/pool_allocator.h&gt;</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">typedef</span> HASHMAP &lt; std::string, <a class="code" href="classIIPImage.html">IIPImage</a>,</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;                              __gnu_cxx::hash&lt; const std::string &gt;,</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;                              std::equal_to&lt; const std::string &gt;,</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;                              __gnu_cxx::__pool_alloc&lt; std::pair&lt;const std::string,IIPImage&gt; &gt;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;                              &gt; imageCacheMapType;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="keyword">typedef</span> HASHMAP &lt;std::string,IIPImage&gt; imageCacheMapType;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="structSession.html">   66</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structSession.html">Session</a> {</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <a class="code" href="classIIPImage.html">IIPImage</a> **image;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <a class="code" href="classJPEGCompressor.html">JPEGCompressor</a>* jpeg;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">#ifdef HAVE_PNG</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;  PNGCompressor* png;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <a class="code" href="classView.html">View</a>* view;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <a class="code" href="classIIPResponse.html">IIPResponse</a>* response;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <a class="code" href="classWatermark.html">Watermark</a>* watermark;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <a class="code" href="structTransform.html">Transform</a>* processor;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  <span class="keywordtype">int</span> loglevel;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  <a class="code" href="classLogger.html">Logger</a>* logfile;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  std::map &lt;const std::string, std::string&gt; headers;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  std::map &lt;const std::string, unsigned int&gt; codecOptions;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  imageCacheMapType *imageCache;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <a class="code" href="classCache.html">Cache</a>* tileCache;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="preprocessor">#ifdef DEBUG</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <a class="code" href="classFileWriter.html">FileWriter</a>* out;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  <a class="code" href="classFCGIWriter.html">FCGIWriter</a>* out;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;};</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="classTask.html">   96</a></span>&#160;<span class="keyword">class </span><a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160; <span class="keyword">protected</span>:</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="classTask.html#a874abbe6afac5cc75ae44c58d52f9c93">  101</a></span>&#160;  <a class="code" href="classTimer.html">Timer</a> <a class="code" href="classTask.html#a874abbe6afac5cc75ae44c58d52f9c93">command_timer</a>;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">  104</a></span>&#160;  <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">  107</a></span>&#160;  std::string <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a>;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="classTask.html#a7bff79cc05fa4511c72048d33591503b">  113</a></span>&#160;  <span class="keyword">virtual</span> <a class="code" href="classTask.html#a7bff79cc05fa4511c72048d33591503b">~Task</a>() {;};</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno"><a class="line" href="classTask.html#aba91ebdd9d674a52d8d9e71f755e387f">  116</a></span>&#160;  <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classTask.html#aba91ebdd9d674a52d8d9e71f755e387f">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> ) {;};</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;  <span class="keyword">static</span> <a class="code" href="classTask.html">Task</a>* <a class="code" href="classTask.html#a35ad816e34baa8fd763a04ef0342bf83">factory</a>( <span class="keyword">const</span> std::string&amp; type );</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classTask.html#a8fbc6885cae467baa99ce64a2848816b">checkImage</a>();</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;};</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00131"></a><span class="lineno"><a class="line" href="classOBJ.html">  131</a></span>&#160;<span class="keyword">class </span><a class="code" href="classOBJ.html">OBJ</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classOBJ.html#ab6774ce96508d370ee5a68a7444952f7">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;  <span class="keywordtype">void</span> iip();</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;  <span class="keywordtype">void</span> iip_server();</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;  <span class="keywordtype">void</span> max_size();</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;  <span class="keywordtype">void</span> resolution_number();</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;  <span class="keywordtype">void</span> colorspace( std::string arg );</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;  <span class="keywordtype">void</span> tile_size();</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;  <span class="keywordtype">void</span> bits_per_channel();</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;  <span class="keywordtype">void</span> horizontal_views();</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;  <span class="keywordtype">void</span> vertical_views();</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;  <span class="keywordtype">void</span> min_max_values();</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;  <span class="keywordtype">void</span> resolutions();</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;  <span class="keywordtype">void</span> metadata( std::string field );</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;};</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00154"></a><span class="lineno"><a class="line" href="classQLT.html">  154</a></span>&#160;<span class="keyword">class </span><a class="code" href="classQLT.html">QLT</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classQLT.html#ad506fa95c7b29969b372d02e886bbe45">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;};</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00161"></a><span class="lineno"><a class="line" href="classSDS.html">  161</a></span>&#160;<span class="keyword">class </span><a class="code" href="classSDS.html">SDS</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classSDS.html#a044ea9408a5bdcf243e50e2a4f8f00c1">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;};</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00168"></a><span class="lineno"><a class="line" href="classMINMAX.html">  168</a></span>&#160;<span class="keyword">class </span><a class="code" href="classMINMAX.html">MINMAX</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classMINMAX.html#a70aebbcd0a570fb7951c0b7fd4ffa8a9">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;};</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div><div class="line"><a name="l00175"></a><span class="lineno"><a class="line" href="classCNT.html">  175</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCNT.html">CNT</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classCNT.html#aa84612365e2c1338b5077711ecdad3bd">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;};</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div><div class="line"><a name="l00182"></a><span class="lineno"><a class="line" href="classGAM.html">  182</a></span>&#160;<span class="keyword">class </span><a class="code" href="classGAM.html">GAM</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classGAM.html#ad95ec2bf7482127c022f910a4ff9829b">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;};</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div><div class="line"><a name="l00189"></a><span class="lineno"><a class="line" href="classWID.html">  189</a></span>&#160;<span class="keyword">class </span><a class="code" href="classWID.html">WID</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classWID.html#a01207300dd8593db0f6a5c40eac3fbdc">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;};</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;</div><div class="line"><a name="l00196"></a><span class="lineno"><a class="line" href="classHEI.html">  196</a></span>&#160;<span class="keyword">class </span><a class="code" href="classHEI.html">HEI</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classHEI.html#a0bd636f00cf14060db8d2dfbebb7cc7b">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;};</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;</div><div class="line"><a name="l00203"></a><span class="lineno"><a class="line" href="classRGN.html">  203</a></span>&#160;<span class="keyword">class </span><a class="code" href="classRGN.html">RGN</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classRGN.html#ae84387de1cab8896a9ad14a03591aae6">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;};</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;</div><div class="line"><a name="l00210"></a><span class="lineno"><a class="line" href="classROT.html">  210</a></span>&#160;<span class="keyword">class </span><a class="code" href="classROT.html">ROT</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classROT.html#ac11f738fe4a13de946d2c68ceb912acd">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;};</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div><div class="line"><a name="l00217"></a><span class="lineno"><a class="line" href="classFIF.html">  217</a></span>&#160;<span class="keyword">class </span><a class="code" href="classFIF.html">FIF</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classFIF.html#a6e35ba23887b9c792e0a3d7d3d38c5ad">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;};</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;<span class="comment">/*class PTL : public Task {</span></div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;<span class="comment"> public:</span></div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;<span class="comment">  void run( Session* session, const std::string&amp; argument );</span></div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;<span class="comment">};*/</span></div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;</div><div class="line"><a name="l00231"></a><span class="lineno"><a class="line" href="classJTL.html">  231</a></span>&#160;<span class="keyword">class </span><a class="code" href="classJTL.html">JTL</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classJTL.html#adf2a86fad5ebcbd7b49ac8bb395c31ce">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classJTL.html#a4e8d019467ce2d0e699d405c9fd05de9">send</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keywordtype">int</span> resolution, <span class="keywordtype">int</span> tile );</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;};</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;</div><div class="line"><a name="l00245"></a><span class="lineno"><a class="line" href="classJTLS.html">  245</a></span>&#160;<span class="keyword">class </span><a class="code" href="classJTLS.html">JTLS</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classJTLS.html#a299954689c865a3ec42f667db7f3b06a">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;};</div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;</div><div class="line"><a name="l00252"></a><span class="lineno"><a class="line" href="classTIL.html">  252</a></span>&#160;<span class="keyword">class </span><a class="code" href="classTIL.html">TIL</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classTIL.html#ae74407aba9e1c124ce7b36ce425f53b0">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;};</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;</div><div class="line"><a name="l00259"></a><span class="lineno"><a class="line" href="classCVT.html">  259</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCVT.html">CVT</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classCVT.html#a6b104c214e95a830d5a5b87c95ab481a">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;</div><div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classCVT.html#aaa6977d95656a1ccc230f48e86164a46">send</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a> );</div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;};</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;</div><div class="line"><a name="l00270"></a><span class="lineno"><a class="line" href="classICC.html">  270</a></span>&#160;<span class="keyword">class </span><a class="code" href="classICC.html">ICC</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classICC.html#aad00f1ddae06ccd30aa016eb478e5072">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;};</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;</div><div class="line"><a name="l00277"></a><span class="lineno"><a class="line" href="classSHD.html">  277</a></span>&#160;<span class="keyword">class </span><a class="code" href="classSHD.html">SHD</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classSHD.html#a326e46ca7843ea67da773ed29d423d82">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;};</div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;</div><div class="line"><a name="l00284"></a><span class="lineno"><a class="line" href="classCMP.html">  284</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCMP.html">CMP</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classCMP.html#a3ec0ebe79045badb8531f51009337148">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;};</div><div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;</div><div class="line"><a name="l00291"></a><span class="lineno"><a class="line" href="classINV.html">  291</a></span>&#160;<span class="keyword">class </span><a class="code" href="classINV.html">INV</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classINV.html#a0faad696cfda53daee35bd89a1a21f8c">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;};</div><div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;</div><div class="line"><a name="l00298"></a><span class="lineno"><a class="line" href="classZoomify.html">  298</a></span>&#160;<span class="keyword">class </span><a class="code" href="classZoomify.html">Zoomify</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classZoomify.html#a818e6850a8464b999c19784cede2a86b">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;};</div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;</div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;</div><div class="line"><a name="l00305"></a><span class="lineno"><a class="line" href="classSPECTRA.html">  305</a></span>&#160;<span class="keyword">class </span><a class="code" href="classSPECTRA.html">SPECTRA</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classSPECTRA.html#abb69ba6eba46ebf90b27cb943b7e751c">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;};</div><div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;</div><div class="line"><a name="l00312"></a><span class="lineno"><a class="line" href="classPFL.html">  312</a></span>&#160;<span class="keyword">class </span><a class="code" href="classPFL.html">PFL</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classPFL.html#a781a66f58939ebda04d3084adaa7b93c">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;};</div><div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;</div><div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;</div><div class="line"><a name="l00319"></a><span class="lineno"><a class="line" href="classLYR.html">  319</a></span>&#160;<span class="keyword">class </span><a class="code" href="classLYR.html">LYR</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classLYR.html#ae2402dd745a4bd991ae47682acf67d3c">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;};</div><div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;</div><div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;</div><div class="line"><a name="l00326"></a><span class="lineno"><a class="line" href="classDeepZoom.html">  326</a></span>&#160;<span class="keyword">class </span><a class="code" href="classDeepZoom.html">DeepZoom</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classDeepZoom.html#a28d3a5477a3b3f80e9f5d48c06159e5e">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;};</div><div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;</div><div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;</div><div class="line"><a name="l00333"></a><span class="lineno"><a class="line" href="classIIIF.html">  333</a></span>&#160;<span class="keyword">class </span><a class="code" href="classIIIF.html">IIIF</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classIIIF.html#ae96b0a6b0f27a504b5c99c5191302275">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;};</div><div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;</div><div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;</div><div class="line"><a name="l00340"></a><span class="lineno"><a class="line" href="classCTW.html">  340</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCTW.html">CTW</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classCTW.html#a0a2d852a0c29ce28d22bec7bf1dae9c2">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;};</div><div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;</div><div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;</div><div class="line"><a name="l00347"></a><span class="lineno"><a class="line" href="classCOL.html">  347</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCOL.html">COL</a> : <span class="keyword">public</span> <a class="code" href="classTask.html">Task</a> {</div><div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160; <span class="keyword">public</span>:</div><div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classCOL.html#a3a2c677ac1cacafd8b361f9c143f23a4">run</a>( <a class="code" href="structSession.html">Session</a>* <a class="code" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, <span class="keyword">const</span> std::string&amp; <a class="code" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a> );</div><div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160;};</div><div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;</div><div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;</div><div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classLogger_html"><div class="ttname"><a href="classLogger.html">Logger</a></div><div class="ttdoc">Logger class - handles ofstreams and syslog. </div><div class="ttdef"><b>Definition:</b> Logger.h:79</div></div>
<div class="ttc" id="classZoomify_html_a818e6850a8464b999c19784cede2a86b"><div class="ttname"><a href="classZoomify.html#a818e6850a8464b999c19784cede2a86b">Zoomify::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classDeepZoom_html_a28d3a5477a3b3f80e9f5d48c06159e5e"><div class="ttname"><a href="classDeepZoom.html#a28d3a5477a3b3f80e9f5d48c06159e5e">DeepZoom::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classJTLS_html"><div class="ttname"><a href="classJTLS.html">JTLS</a></div><div class="ttdoc">JPEG Tile Sequence Command. </div><div class="ttdef"><b>Definition:</b> Task.h:245</div></div>
<div class="ttc" id="classQLT_html_ad506fa95c7b29969b372d02e886bbe45"><div class="ttname"><a href="classQLT.html#ad506fa95c7b29969b372d02e886bbe45">QLT::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classCOL_html_a3a2c677ac1cacafd8b361f9c143f23a4"><div class="ttname"><a href="classCOL.html#a3a2c677ac1cacafd8b361f9c143f23a4">COL::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classDeepZoom_html"><div class="ttname"><a href="classDeepZoom.html">DeepZoom</a></div><div class="ttdoc">DeepZoom Request Command. </div><div class="ttdef"><b>Definition:</b> Task.h:326</div></div>
<div class="ttc" id="classCOL_html"><div class="ttname"><a href="classCOL.html">COL</a></div><div class="ttdoc">Color Conversion Command. </div><div class="ttdef"><b>Definition:</b> Task.h:347</div></div>
<div class="ttc" id="classIIPResponse_html"><div class="ttname"><a href="classIIPResponse.html">IIPResponse</a></div><div class="ttdoc">Class to handle non-image IIP responses including errors. </div><div class="ttdef"><b>Definition:</b> IIPResponse.h:40</div></div>
<div class="ttc" id="classLYR_html"><div class="ttname"><a href="classLYR.html">LYR</a></div><div class="ttdoc">Quality Layers Command. </div><div class="ttdef"><b>Definition:</b> Task.h:319</div></div>
<div class="ttc" id="classCMP_html"><div class="ttname"><a href="classCMP.html">CMP</a></div><div class="ttdoc">Colormap Command. </div><div class="ttdef"><b>Definition:</b> Task.h:284</div></div>
<div class="ttc" id="classJPEGCompressor_html"><div class="ttname"><a href="classJPEGCompressor.html">JPEGCompressor</a></div><div class="ttdoc">Wrapper class to the IJG JPEG library. </div><div class="ttdef"><b>Definition:</b> JPEGCompressor.h:63</div></div>
<div class="ttc" id="classTask_html_a7bff79cc05fa4511c72048d33591503b"><div class="ttname"><a href="classTask.html#a7bff79cc05fa4511c72048d33591503b">Task::~Task</a></div><div class="ttdeci">virtual ~Task()</div><div class="ttdoc">Virtual destructor. </div><div class="ttdef"><b>Definition:</b> Task.h:113</div></div>
<div class="ttc" id="classFIF_html"><div class="ttname"><a href="classFIF.html">FIF</a></div><div class="ttdoc">FIF Command. </div><div class="ttdef"><b>Definition:</b> Task.h:217</div></div>
<div class="ttc" id="classOBJ_html_ab6774ce96508d370ee5a68a7444952f7"><div class="ttname"><a href="classOBJ.html#ab6774ce96508d370ee5a68a7444952f7">OBJ::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classICC_html"><div class="ttname"><a href="classICC.html">ICC</a></div><div class="ttdoc">ICC Profile Command. </div><div class="ttdef"><b>Definition:</b> Task.h:270</div></div>
<div class="ttc" id="classCVT_html_a6b104c214e95a830d5a5b87c95ab481a"><div class="ttname"><a href="classCVT.html#a6b104c214e95a830d5a5b87c95ab481a">CVT::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classTask_html_aba91ebdd9d674a52d8d9e71f755e387f"><div class="ttname"><a href="classTask.html#aba91ebdd9d674a52d8d9e71f755e387f">Task::run</a></div><div class="ttdeci">virtual void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div><div class="ttdef"><b>Definition:</b> Task.h:116</div></div>
<div class="ttc" id="classHEI_html_a0bd636f00cf14060db8d2dfbebb7cc7b"><div class="ttname"><a href="classHEI.html#a0bd636f00cf14060db8d2dfbebb7cc7b">HEI::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classJTL_html"><div class="ttname"><a href="classJTL.html">JTL</a></div><div class="ttdoc">PNG Tile Command. </div><div class="ttdef"><b>Definition:</b> Task.h:231</div></div>
<div class="ttc" id="classINV_html"><div class="ttname"><a href="classINV.html">INV</a></div><div class="ttdoc">Inversion Command. </div><div class="ttdef"><b>Definition:</b> Task.h:291</div></div>
<div class="ttc" id="classROT_html"><div class="ttname"><a href="classROT.html">ROT</a></div><div class="ttdoc">ROT Rotation Command. </div><div class="ttdef"><b>Definition:</b> Task.h:210</div></div>
<div class="ttc" id="classGAM_html"><div class="ttname"><a href="classGAM.html">GAM</a></div><div class="ttdoc">Gamma Command. </div><div class="ttdef"><b>Definition:</b> Task.h:182</div></div>
<div class="ttc" id="classZoomify_html"><div class="ttname"><a href="classZoomify.html">Zoomify</a></div><div class="ttdoc">Zoomify Request Command. </div><div class="ttdef"><b>Definition:</b> Task.h:298</div></div>
<div class="ttc" id="classJTLS_html_a299954689c865a3ec42f667db7f3b06a"><div class="ttname"><a href="classJTLS.html#a299954689c865a3ec42f667db7f3b06a">JTLS::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classCache_html"><div class="ttname"><a href="classCache.html">Cache</a></div><div class="ttdoc">Cache to store raw tile data. </div><div class="ttdef"><b>Definition:</b> Cache.h:91</div></div>
<div class="ttc" id="classHEI_html"><div class="ttname"><a href="classHEI.html">HEI</a></div><div class="ttdoc">CVT Height Command. </div><div class="ttdef"><b>Definition:</b> Task.h:196</div></div>
<div class="ttc" id="classTask_html_a8fbc6885cae467baa99ce64a2848816b"><div class="ttname"><a href="classTask.html#a8fbc6885cae467baa99ce64a2848816b">Task::checkImage</a></div><div class="ttdeci">void checkImage()</div><div class="ttdoc">Check image. </div></div>
<div class="ttc" id="classPFL_html_a781a66f58939ebda04d3084adaa7b93c"><div class="ttname"><a href="classPFL.html#a781a66f58939ebda04d3084adaa7b93c">PFL::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classROT_html_ac11f738fe4a13de946d2c68ceb912acd"><div class="ttname"><a href="classROT.html#ac11f738fe4a13de946d2c68ceb912acd">ROT::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classGAM_html_ad95ec2bf7482127c022f910a4ff9829b"><div class="ttname"><a href="classGAM.html#ad95ec2bf7482127c022f910a4ff9829b">GAM::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classJTL_html_a4e8d019467ce2d0e699d405c9fd05de9"><div class="ttname"><a href="classJTL.html#a4e8d019467ce2d0e699d405c9fd05de9">JTL::send</a></div><div class="ttdeci">void send(Session *session, int resolution, int tile)</div><div class="ttdoc">Send out a single tile. </div></div>
<div class="ttc" id="classLYR_html_ae2402dd745a4bd991ae47682acf67d3c"><div class="ttname"><a href="classLYR.html#ae2402dd745a4bd991ae47682acf67d3c">LYR::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classFileWriter_html"><div class="ttname"><a href="classFileWriter.html">FileWriter</a></div><div class="ttdoc">File Writer Class. </div><div class="ttdef"><b>Definition:</b> Writer.h:113</div></div>
<div class="ttc" id="classWID_html_a01207300dd8593db0f6a5c40eac3fbdc"><div class="ttname"><a href="classWID.html#a01207300dd8593db0f6a5c40eac3fbdc">WID::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classCVT_html"><div class="ttname"><a href="classCVT.html">CVT</a></div><div class="ttdoc">CVT Region Export Command. </div><div class="ttdef"><b>Definition:</b> Task.h:259</div></div>
<div class="ttc" id="classWID_html"><div class="ttname"><a href="classWID.html">WID</a></div><div class="ttdoc">CVT Width Command. </div><div class="ttdef"><b>Definition:</b> Task.h:189</div></div>
<div class="ttc" id="classSDS_html"><div class="ttname"><a href="classSDS.html">SDS</a></div><div class="ttdoc">SDS Command. </div><div class="ttdef"><b>Definition:</b> Task.h:161</div></div>
<div class="ttc" id="classMINMAX_html"><div class="ttname"><a href="classMINMAX.html">MINMAX</a></div><div class="ttdoc">MINMAX Command. </div><div class="ttdef"><b>Definition:</b> Task.h:168</div></div>
<div class="ttc" id="classFIF_html_a6e35ba23887b9c792e0a3d7d3d38c5ad"><div class="ttname"><a href="classFIF.html#a6e35ba23887b9c792e0a3d7d3d38c5ad">FIF::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classSHD_html_a326e46ca7843ea67da773ed29d423d82"><div class="ttname"><a href="classSHD.html#a326e46ca7843ea67da773ed29d423d82">SHD::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classTask_html_a52a9889cc25361764faa0947b5efb4b3"><div class="ttname"><a href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">Task::argument</a></div><div class="ttdeci">std::string argument</div><div class="ttdoc">Argument supplied to the task. </div><div class="ttdef"><b>Definition:</b> Task.h:107</div></div>
<div class="ttc" id="classWatermark_html"><div class="ttname"><a href="classWatermark.html">Watermark</a></div><div class="ttdoc">Watermark class. </div><div class="ttdef"><b>Definition:</b> Watermark.h:41</div></div>
<div class="ttc" id="structSession_html"><div class="ttname"><a href="structSession.html">Session</a></div><div class="ttdoc">Structure to hold our session data. </div><div class="ttdef"><b>Definition:</b> Task.h:66</div></div>
<div class="ttc" id="classICC_html_aad00f1ddae06ccd30aa016eb478e5072"><div class="ttname"><a href="classICC.html#aad00f1ddae06ccd30aa016eb478e5072">ICC::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classFCGIWriter_html"><div class="ttname"><a href="classFCGIWriter.html">FCGIWriter</a></div><div class="ttdoc">FCGI Writer Class. </div><div class="ttdef"><b>Definition:</b> Writer.h:59</div></div>
<div class="ttc" id="classIIPImage_html"><div class="ttname"><a href="classIIPImage.html">IIPImage</a></div><div class="ttdoc">Main class to handle the pyramidal image source. </div><div class="ttdef"><b>Definition:</b> IIPImage.h:62</div></div>
<div class="ttc" id="classSPECTRA_html"><div class="ttname"><a href="classSPECTRA.html">SPECTRA</a></div><div class="ttdoc">SPECTRA Request Command. </div><div class="ttdef"><b>Definition:</b> Task.h:305</div></div>
<div class="ttc" id="classCVT_html_aaa6977d95656a1ccc230f48e86164a46"><div class="ttname"><a href="classCVT.html#aaa6977d95656a1ccc230f48e86164a46">CVT::send</a></div><div class="ttdeci">void send(Session *session)</div><div class="ttdoc">Send out our requested region. </div></div>
<div class="ttc" id="classQLT_html"><div class="ttname"><a href="classQLT.html">QLT</a></div><div class="ttdoc">JPEG Quality Command. </div><div class="ttdef"><b>Definition:</b> Task.h:154</div></div>
<div class="ttc" id="classView_html"><div class="ttname"><a href="classView.html">View</a></div><div class="ttdoc">Class to intelligently handle Image Transforms. </div><div class="ttdef"><b>Definition:</b> View.h:36</div></div>
<div class="ttc" id="structTransform_html"><div class="ttname"><a href="structTransform.html">Transform</a></div><div class="ttdoc">Image Processing Transforms. </div><div class="ttdef"><b>Definition:</b> Transforms.h:40</div></div>
<div class="ttc" id="classTask_html_a83aea98eda228feb10e5f426036fd8d5"><div class="ttname"><a href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">Task::session</a></div><div class="ttdeci">Session * session</div><div class="ttdoc">Pointer to our session data. </div><div class="ttdef"><b>Definition:</b> Task.h:104</div></div>
<div class="ttc" id="classSPECTRA_html_abb69ba6eba46ebf90b27cb943b7e751c"><div class="ttname"><a href="classSPECTRA.html#abb69ba6eba46ebf90b27cb943b7e751c">SPECTRA::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classTask_html_a35ad816e34baa8fd763a04ef0342bf83"><div class="ttname"><a href="classTask.html#a35ad816e34baa8fd763a04ef0342bf83">Task::factory</a></div><div class="ttdeci">static Task * factory(const std::string &amp;type)</div><div class="ttdoc">Factory function. </div></div>
<div class="ttc" id="classTIL_html"><div class="ttname"><a href="classTIL.html">TIL</a></div><div class="ttdoc">Tile Command. </div><div class="ttdef"><b>Definition:</b> Task.h:252</div></div>
<div class="ttc" id="classSDS_html_a044ea9408a5bdcf243e50e2a4f8f00c1"><div class="ttname"><a href="classSDS.html#a044ea9408a5bdcf243e50e2a4f8f00c1">SDS::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classCMP_html_a3ec0ebe79045badb8531f51009337148"><div class="ttname"><a href="classCMP.html#a3ec0ebe79045badb8531f51009337148">CMP::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classOBJ_html"><div class="ttname"><a href="classOBJ.html">OBJ</a></div><div class="ttdoc">OBJ commands. </div><div class="ttdef"><b>Definition:</b> Task.h:131</div></div>
<div class="ttc" id="classRGN_html_ae84387de1cab8896a9ad14a03591aae6"><div class="ttname"><a href="classRGN.html#ae84387de1cab8896a9ad14a03591aae6">RGN::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classTIL_html_ae74407aba9e1c124ce7b36ce425f53b0"><div class="ttname"><a href="classTIL.html#ae74407aba9e1c124ce7b36ce425f53b0">TIL::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classCNT_html_aa84612365e2c1338b5077711ecdad3bd"><div class="ttname"><a href="classCNT.html#aa84612365e2c1338b5077711ecdad3bd">CNT::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classTimer_html"><div class="ttname"><a href="classTimer.html">Timer</a></div><div class="ttdoc">Simple Timer class to allow us to time our responses. </div><div class="ttdef"><b>Definition:</b> Timer.h:39</div></div>
<div class="ttc" id="classTask_html_a874abbe6afac5cc75ae44c58d52f9c93"><div class="ttname"><a href="classTask.html#a874abbe6afac5cc75ae44c58d52f9c93">Task::command_timer</a></div><div class="ttdeci">Timer command_timer</div><div class="ttdoc">Timer for each task. </div><div class="ttdef"><b>Definition:</b> Task.h:101</div></div>
<div class="ttc" id="classCNT_html"><div class="ttname"><a href="classCNT.html">CNT</a></div><div class="ttdoc">Contrast Command. </div><div class="ttdef"><b>Definition:</b> Task.h:175</div></div>
<div class="ttc" id="classTask_html"><div class="ttname"><a href="classTask.html">Task</a></div><div class="ttdoc">Generic class to encapsulate various commands. </div><div class="ttdef"><b>Definition:</b> Task.h:96</div></div>
<div class="ttc" id="classINV_html_a0faad696cfda53daee35bd89a1a21f8c"><div class="ttname"><a href="classINV.html#a0faad696cfda53daee35bd89a1a21f8c">INV::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classIIIF_html_ae96b0a6b0f27a504b5c99c5191302275"><div class="ttname"><a href="classIIIF.html#ae96b0a6b0f27a504b5c99c5191302275">IIIF::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classIIIF_html"><div class="ttname"><a href="classIIIF.html">IIIF</a></div><div class="ttdoc">IIIF Command. </div><div class="ttdef"><b>Definition:</b> Task.h:333</div></div>
<div class="ttc" id="classRGN_html"><div class="ttname"><a href="classRGN.html">RGN</a></div><div class="ttdoc">CVT Region Command. </div><div class="ttdef"><b>Definition:</b> Task.h:203</div></div>
<div class="ttc" id="classPFL_html"><div class="ttname"><a href="classPFL.html">PFL</a></div><div class="ttdoc">SPECTRA Request Command. </div><div class="ttdef"><b>Definition:</b> Task.h:312</div></div>
<div class="ttc" id="classJTL_html_adf2a86fad5ebcbd7b49ac8bb395c31ce"><div class="ttname"><a href="classJTL.html#adf2a86fad5ebcbd7b49ac8bb395c31ce">JTL::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classSHD_html"><div class="ttname"><a href="classSHD.html">SHD</a></div><div class="ttdoc">Shading Command. </div><div class="ttdef"><b>Definition:</b> Task.h:277</div></div>
<div class="ttc" id="classMINMAX_html_a70aebbcd0a570fb7951c0b7fd4ffa8a9"><div class="ttname"><a href="classMINMAX.html#a70aebbcd0a570fb7951c0b7fd4ffa8a9">MINMAX::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
<div class="ttc" id="classCTW_html"><div class="ttname"><a href="classCTW.html">CTW</a></div><div class="ttdoc">Color Twist Command. </div><div class="ttdef"><b>Definition:</b> Task.h:340</div></div>
<div class="ttc" id="classCTW_html_a0a2d852a0c29ce28d22bec7bf1dae9c2"><div class="ttname"><a href="classCTW.html#a0a2d852a0c29ce28d22bec7bf1dae9c2">CTW::run</a></div><div class="ttdeci">void run(Session *session, const std::string &amp;argument)</div><div class="ttdoc">Main public function. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><b>Task.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
